'use client';
'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const jsxRuntime = require('react/jsx-runtime');
const react$1 = require('@zag-js/react');
const react = require('react');
const factory = require('../factory.cjs');
const useColorPickerContext = require('./use-color-picker-context.cjs');

const ColorPickerEyeDropperTrigger = react.forwardRef(
  (props, ref) => {
    const colorPicker = useColorPickerContext.useColorPickerContext();
    const mergedProps = react$1.mergeProps(colorPicker.getEyeDropperTriggerProps(), props);
    return /* @__PURE__ */ jsxRuntime.jsx(factory.ark.button, { ...mergedProps, ref });
  }
);
ColorPickerEyeDropperTrigger.displayName = "ColorPickerEyeDropperTrigger";

exports.ColorPickerEyeDropperTrigger = ColorPickerEyeDropperTrigger;
