'use client';
import { jsx } from 'react/jsx-runtime';
import { mergeProps } from '@zag-js/react';
import { forwardRef } from 'react';
import { composeRefs } from '../../utils/compose-refs.js';
import { ark } from '../factory.js';
import { usePresenceContext } from '../presence/use-presence-context.js';
import { useDatePickerContext } from './use-date-picker-context.js';

const DatePickerContent = forwardRef((props, ref) => {
  const datePicker = useDatePickerContext();
  const presence = usePresenceContext();
  const mergedProps = mergeProps(datePicker.getContentProps(), presence.getPresenceProps(), props);
  if (presence.unmounted) {
    return null;
  }
  return /* @__PURE__ */ jsx(ark.div, { ...mergedProps, ref: composeRefs(presence.ref, ref) });
});
DatePickerContent.displayName = "DatePickerContent";

export { DatePickerContent };
