'use client';
'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const jsxRuntime = require('react/jsx-runtime');
const react$1 = require('@zag-js/react');
const react = require('react');
const createSplitProps = require('../../utils/create-split-props.cjs');
const factory = require('../factory.cjs');
const useRadioGroupContext = require('./use-radio-group-context.cjs');

const RadioGroupRootProvider = react.forwardRef((props, ref) => {
  const [{ value: radioGroup }, localProps] = createSplitProps.createSplitProps()(props, ["value"]);
  const mergedProps = react$1.mergeProps(radioGroup.getRootProps(), localProps);
  return /* @__PURE__ */ jsxRuntime.jsx(useRadioGroupContext.RadioGroupProvider, { value: radioGroup, children: /* @__PURE__ */ jsxRuntime.jsx(factory.ark.div, { ...mergedProps, ref }) });
});
RadioGroupRootProvider.displayName = "RadioGroupRootProvider";

exports.RadioGroupRootProvider = RadioGroupRootProvider;
